LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- Namespace List
- Namespace Members

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Functions
lives::prefs Namespace Reference

## Functions
livesString | currentVideoLoadDir (const livesApp &lives)
livesString | currentAudioDir (const livesApp &lives)
livesString | tmpDir (const livesApp &lives)
lives_audio_source_t | audioSource (const livesApp &lives)
bool | setAudioSource (const livesApp &lives, lives_audio_source_t asrc)
lives_audio_player_t | audioPlayer (const livesApp &lives)
int | audioPlayerRate (const livesApp &lives)
bool | isRealtimeAudioPlayer (lives_audio_player_t player_type)
int | rteKeysVirtual (const livesApp &lives)
double | maxFPS (const livesApp &lives)
bool | audioFollowsVideoChanges (const livesApp &lives)
bool | audioFollowsFPSChanges (const livesApp &lives)
bool | setAudioFollowsVideoChanges (const livesApp &lives, bool setting)
bool | setAudioFollowsFPSChanges (const livesApp &lives, bool setting)
bool | sepWinSticky (const livesApp &lives)
bool | setSepWinSticky (const livesApp &lives, bool setting)
bool | mtExitRender (const livesApp &lives)
bool | setMtExitRender (const livesApp &lives, bool setting)

## Function Documentation

bool lives::prefs::audioFollowsFPSChanges | ( | const livesApp & | lives | ) |

bool lives::prefs::audioFollowsVideoChanges | ( | const livesApp & | lives | ) |

lives_audio_player_t lives::prefs::audioPlayer | ( | const livesApp & | lives | ) |

int lives::prefs::audioPlayerRate | ( | const livesApp & | lives | ) |

lives_audio_source_t lives::prefs::audioSource | ( | const livesApp & | lives | ) |

livesString lives::prefs::currentAudioDir | ( | const livesApp & | lives | ) |

livesString lives::prefs::currentVideoLoadDir | ( | const livesApp & | lives | ) |

bool lives::prefs::isRealtimeAudioPlayer | ( | lives_audio_player_t | player_type | ) |

double lives::prefs::maxFPS | ( | const livesApp & | lives | ) |

bool lives::prefs::mtExitRender | ( | const livesApp & | lives | ) |

int lives::prefs::rteKeysVirtual | ( | const livesApp & | lives | ) |

bool lives::prefs::sepWinSticky | ( | const livesApp & | lives | ) |

bool lives::prefs::setAudioFollowsFPSChanges | ( | const livesApp & | lives,
|  | bool | setting
| ) |  |

bool lives::prefs::setAudioFollowsVideoChanges | ( | const livesApp & | lives,
|  | bool | setting
| ) |  |

bool lives::prefs::setAudioSource | ( | const livesApp & | lives,
|  | lives_audio_source_t | asrc
| ) |  |

bool lives::prefs::setMtExitRender | ( | const livesApp & | lives,
|  | bool | setting
| ) |  |

bool lives::prefs::setSepWinSticky | ( | const livesApp & | lives,
|  | bool | setting
| ) |  |

livesString lives::prefs::tmpDir | ( | const livesApp & | lives | ) |